Bug 986790 - [abrt] qemu-system-x86-1.4.2-4.fc19: memcmp: Process /usr/bin/qemu-system-x86_64 was killed by signal 11 (SIGSEGV)
[abrt] qemu-system-x86-1.4.2-4.fc19: memcmp: Process /usr/bin/qemu-system-x86...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
abrt_hash:2d7ca84cb1408176f84ed31ae88...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 02:16 EDT by Steve Tyler
Modified: 2013-09-13 22:31 EDT (History)
10 users (show)

See Also:
Fixed In Version: qemu-1.4.2-9.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 22:31:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.33 KB, text/plain)
2013-07-22 02:16 EDT, Steve Tyler
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-22 02:16 EDT, Steve Tyler
no flags Details
File: core_backtrace (799 bytes, text/plain)
2013-07-22 02:16 EDT, Steve Tyler
no flags Details
File: dso_list (8.95 KB, text/plain)
2013-07-22 02:16 EDT, Steve Tyler
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-22 02:17 EDT, Steve Tyler
no flags Details
File: maps (44.11 KB, text/plain)
2013-07-22 02:17 EDT, Steve Tyler
no flags Details
File: open_fds (692 bytes, text/plain)
2013-07-22 02:17 EDT, Steve Tyler
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2013-07-22 02:17 EDT, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2013-07-22 02:16:38 EDT
Description of problem:
Use options -cpu Haswell -machine isapc

Version-Release number of selected component:
qemu-system-x86-1.4.2-4.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/qemu-system-x86_64 -machine accel=kvm -m 128 -cdrom /home/stephent/xfr/fedora/F19/Fedora-19-x86_64-netinst.iso -vga std -boot d -cpu Haswell -machine isapc
crash_function: memcmp
executable:     /usr/bin/qemu-system-x86_64
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 memcmp at ../sysdeps/x86_64/memcmp.S:36
 #1 patch_hypercalls at /usr/src/debug/qemu-1.4.2/hw/kvmvapic.c:544
 #2 vapic_prepare at /usr/src/debug/qemu-1.4.2/hw/kvmvapic.c:609
 #3 vapic_write at /usr/src/debug/qemu-1.4.2/hw/kvmvapic.c:646
 #4 access_with_adjusted_size at /usr/src/debug/qemu-1.4.2/memory.c:364
 #5 memory_region_iorange_write at /usr/src/debug/qemu-1.4.2/memory.c:439
 #6 kvm_handle_io at /usr/src/debug/qemu-1.4.2/kvm-all.c:1429
 #7 kvm_cpu_exec at /usr/src/debug/qemu-1.4.2/kvm-all.c:1581
 #8 qemu_kvm_cpu_thread_fn at /usr/src/debug/qemu-1.4.2/cpus.c:759
Comment 1 Steve Tyler 2013-07-22 02:16:44 EDT
Created attachment 776731 [details]
File: backtrace
Comment 2 Steve Tyler 2013-07-22 02:16:49 EDT
Created attachment 776732 [details]
File: cgroup
Comment 3 Steve Tyler 2013-07-22 02:16:53 EDT
Created attachment 776733 [details]
File: core_backtrace
Comment 4 Steve Tyler 2013-07-22 02:16:58 EDT
Created attachment 776734 [details]
File: dso_list
Comment 5 Steve Tyler 2013-07-22 02:17:03 EDT
Created attachment 776735 [details]
File: limits
Comment 6 Steve Tyler 2013-07-22 02:17:09 EDT
Created attachment 776736 [details]
File: maps
Comment 7 Steve Tyler 2013-07-22 02:17:14 EDT
Created attachment 776737 [details]
File: open_fds
Comment 8 Steve Tyler 2013-07-22 02:17:18 EDT
Created attachment 776738 [details]
File: proc_pid_status
Comment 9 Cole Robinson 2013-08-30 20:16:09 EDT
Thanks for the report. There's a fix upstream:

https://lists.nongnu.org/archive/html/qemu-devel/2013-08/msg01663.html

Still need to see if it works for 1.4 though
Comment 10 Fedora Update System 2013-09-03 15:48:21 EDT
qemu-1.4.2-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qemu-1.4.2-8.fc19
Comment 11 Fedora Update System 2013-09-04 21:26:54 EDT
Package qemu-1.4.2-8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.4.2-8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15760/qemu-1.4.2-8.fc19
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-09-05 05:56:34 EDT
qemu-1.4.2-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qemu-1.4.2-9.fc19
Comment 13 Fedora Update System 2013-09-09 09:22:57 EDT
qemu-1.4.2-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-15914/qemu-1.4.2-9.fc19
Comment 14 Fedora Update System 2013-09-13 22:31:28 EDT
qemu-1.4.2-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.